<?php
/**
 * Dynamic CSS
 *
 * @package Atlas
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * -----------------------------------------------------------------------------
 *  Dynamic CSS of general elements
 * -----------------------------------------------------------------------------
 */
if ( ! function_exists( 'th90_dynamic_css' ) ) {

	function th90_dynamic_css() {
        $out = '';

		foreach ( get_posts() as $single ) {
			if ( th90_field_single( 'review_show' ) && th90_field_single( 'review_color', $single->ID ) ) {
				$out .= '.post-' . $single->ID . ' .box-review {
				    background-image: linear-gradient(to top left, ' . th90_field_single( 'review_color' ) . ' -2500%,#0000 300%);
				}
				.post-' . $single->ID . ' .progress-val {
					background-color: ' . th90_field_single( 'review_color' ) . ';
				}';
    		}
		}
		if ( th90_opt( 'cat_colors' ) ) {
	        foreach ( get_categories() as $cat ) {
	            $cat_color = th90_field_single( 'category_color', 'term_' . $cat->term_id );

	            if ( $cat_color ) {
					$out .= '.cat-' . $cat->term_id . ' .thumb-container .img-char,
					.cat-' . $cat->term_id . ' .cat-btn,
					.term-' . $cat->term_id . ' .thumb-container .img-char,
					.term-' . $cat->term_id . ' .term-box-bg,
					.entry-cats a.cat-btn.post-cat-' . $cat->term_id . ' {
						background-color: ' . $cat_color . ';
					}

					.entry-cats a.cat-text.post-cat-' . $cat->term_id . ' {
						color: ' . $cat_color . ';
					}';
	            }
	        }
		}

        return $out;
    }
}
