<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Atlas
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'atlas' ); ?></a>

	<?php do_action( 'th90_hook_header_before_template' );  ?>

	<header id="site-header" class="site-header">
		<?php
		if ( th90_is_amp() ) {
			get_template_part( 'template-parts/header/header', 'amp' );
		} else {
			get_template_part( 'template-parts/header/header', 'top' );
			get_template_part( 'template-parts/header/header', 'main' );
			get_template_part( 'template-parts/header/header', 'sticky' );
			get_template_part( 'template-parts/header/header', 'mobile' );
		}
		?>
	</header>

	<?php do_action( 'th90_hook_header_after_template' );  ?>

	<?php
	if ( ! is_page_template( 'page-front.php' ) || th90_is_amp() ) {
		echo '<div class="header-space clearfix"></div>';
	}
	?>

	<div <?php th90_content_class(); ?>>
